'use strict';

var foundationIcons = require('@samix-ui/foundation-icons');
var css = require('../../../../../../utilities/css.js');
var DirectionButton$1 = require('./DirectionButton.scss.js');
var hooks = require('../../../../../../utilities/features/hooks.js');
var UnstyledButton = require('../../../../../UnstyledButton/UnstyledButton.js');
var Icon = require('../../../../../Icon/Icon.js');

function DirectionButton({
  onClick,
  active,
  children,
  direction,
  value
}) {
  const {
    foundationSummerEditions2023
  } = hooks.useFeatures();
  const classes = css.classNames(DirectionButton$1.default.DirectionButton, active && DirectionButton$1.default['DirectionButton-active']);
  function handleClick() {
    onClick([value]);
  }
  return /*#__PURE__*/React.createElement(UnstyledButton.UnstyledButton, {
    className: classes,
    onClick: handleClick
  }, /*#__PURE__*/React.createElement(Icon.Icon, {
    source: direction === 'asc' ? foundationIcons.ArrowUpMinor : foundationIcons.ArrowDownMinor,
    color:
    // eslint-disable-next-line no-nested-ternary
    foundationSummerEditions2023 ? 'base' : active ? 'interactive' : 'base'
  }), /*#__PURE__*/React.createElement("span", {
    className: DirectionButton$1.default.Label
  }, children));
}

exports.DirectionButton = DirectionButton;
