'use strict';

var foundationIcons = require('@samix-ui/foundation-icons');
var InlineError$1 = require('./InlineError.scss.js');
var hooks = require('../../utilities/features/hooks.js');
var Icon = require('../Icon/Icon.js');

function InlineError({
  message,
  fieldID
}) {
  const {
    foundationSummerEditions2023
  } = hooks.useFeatures();
  if (!message) {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    id: errorTextID(fieldID),
    className: InlineError$1.default.InlineError
  }, /*#__PURE__*/React.createElement("div", {
    className: InlineError$1.default.Icon
  }, /*#__PURE__*/React.createElement(Icon.Icon, {
    source: foundationSummerEditions2023 ? foundationIcons.CircleAlertMajor : foundationIcons.DiamondAlertMinor
  })), message);
}
function errorTextID(id) {
  return `${id}Error`;
}

exports.InlineError = InlineError;
exports.errorTextID = errorTextID;
