'use strict';

var React = require('react');
var Loading$1 = require('./Loading.scss.js');
var hooks = require('../../../../utilities/listbox/hooks.js');
var Spinner = require('../../../Spinner/Spinner.js');

const Loading = /*#__PURE__*/React.memo(function LoadingOption({
  children,
  accessibilityLabel: label
}) {
  const {
    setLoading
  } = hooks.useListbox();
  React.useEffect(() => {
    setLoading(label);
    return () => {
      setLoading(undefined);
    };
  }, [label, setLoading]);
  return /*#__PURE__*/React.createElement("li", {
    className: Loading$1.default.ListItem,
    role: "presentation"
  }, children ? children : /*#__PURE__*/React.createElement("div", {
    className: Loading$1.default.Loading
  }, /*#__PURE__*/React.createElement(Spinner.Spinner, {
    size: "small",
    accessibilityLabel: label
  })));
});

exports.Loading = Loading;
