'use strict';

var React$1 = require('react');
var context = require('../../context.js');

function ScrollTo() {
  const anchorNode = React$1.useRef(null);
  const scrollToPosition = React$1.useContext(context.ScrollableContext);
  React$1.useEffect(() => {
    if (!scrollToPosition || !anchorNode.current) {
      return;
    }
    scrollToPosition(anchorNode.current.offsetTop);
  }, [scrollToPosition]);
  const id = React$1.useId();
  // eslint-disable-next-line jsx-a11y/anchor-is-valid
  return /*#__PURE__*/React.createElement("a", {
    id: id,
    ref: anchorNode
  });
}

exports.ScrollTo = ScrollTo;
