import { ExitMajor } from '@samix-ui/foundation-icons';
import React from 'react';
import styles from './FullscreenBar.scss.js';
import { useI18n } from '../../utilities/i18n/hooks.js';
import { useFeatures } from '../../utilities/features/hooks.js';
import { Text } from '../Text/Text.js';
import { Icon } from '../Icon/Icon.js';

function FullscreenBar({
  onAction,
  children
}) {
  const i18n = useI18n();
  const {
    foundationSummerEditions2023
  } = useFeatures();
  const backButtonMarkup = foundationSummerEditions2023 ? /*#__PURE__*/React.createElement(Text, {
    as: "span",
    variant: "bodyLg"
  }, i18n.translate('Foundation.FullscreenBar.back')) : i18n.translate('Foundation.FullscreenBar.back');
  return /*#__PURE__*/React.createElement("div", {
    className: styles.FullscreenBar
  }, /*#__PURE__*/React.createElement("button", {
    className: styles.BackAction,
    onClick: onAction,
    "aria-label": i18n.translate('Foundation.FullscreenBar.accessibilityLabel')
  }, /*#__PURE__*/React.createElement(Icon, {
    source: ExitMajor
  }), backButtonMarkup), children);
}

export { FullscreenBar };
