import React from 'react';
import type { FeaturesConfig } from '../../utilities/features';
import { FrameContext } from '../../utilities/frame';
import { I18n } from '../../utilities/i18n';
import type { LinkLikeComponent } from '../../utilities/link';
import { MediaQueryContext } from '../../utilities/media-query';
type FrameContextType = NonNullable<React.ContextType<typeof FrameContext>>;
type MediaQueryContextType = NonNullable<React.ContextType<typeof MediaQueryContext>>;
/**
 * When writing a custom mounting function `mountWithAppContext(node, options)`
 * this is the type of the options object. These values are customizable when
 * you call the app
 */
export interface WithFoundationTestProviderOptions {
    i18n?: ConstructorParameters<typeof I18n>[0];
    link?: LinkLikeComponent;
    mediaQuery?: Partial<MediaQueryContextType>;
    features?: FeaturesConfig;
    frame?: Partial<FrameContextType>;
}
export interface FoundationTestProviderProps extends WithFoundationTestProviderOptions {
    children: React.ReactElement;
    strict?: boolean;
}
export declare function FoundationTestProvider({ strict, children, i18n, link, mediaQuery, features, frame, }: FoundationTestProviderProps): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=FoundationTestProvider.d.ts.map